<?php

namespace App\Http\Controllers;

use App\Models\product_category_setting_model;
use Illuminate\Http\Request;
use App\Models\product_model;
use App\Models\cart_model;
use App\Models\cart_total_model;
use App\Models\user_model;

class home_controller extends Controller
{
    protected $products;
    protected $users;
    protected $cart;
    protected $cart_total;
    protected $category;
    public function __construct(){

        $this->products = new product_model;
        $this->users = new user_model;
        $this->cart = new cart_model;
        $this->cart_total = new cart_total_model;
        $this->category = new product_category_setting_model;
    }

    public function index(){

        $login_user_id = session('userid');
        $login_user = $this->users->find($login_user_id);

        $user = $this->users->find($login_user_id);
        $url = route('update_account', ['id' => $login_user_id]);

        $carts = session()->get('cart', []);
        

        $cart_unique_items = is_array($carts) ? count($carts) : 0;

        $products = $this->products->all();
        $categories = $this->category->all();
        $user = $login_user;

        $cart_total = $this->cart_total->all();
        $saved_orders = $this->cart->all();
        $order_list = [];
        foreach ($cart_total as $single_cart_total){

            foreach ($saved_orders as $saved_order){

                if ($saved_order->groupid == $single_cart_total->cart_group){

                    if($login_user->id == $saved_order->userid){

                        $order_list[] = [
                            'total' => $single_cart_total->total,
                            'created_at' => $single_cart_total->created_at->format('Y-m-d H:i:s'),
                            'cart_total_id' => $single_cart_total->id,
                            'userid' => $saved_order->userid,
                            'user_name' => $user->name,
                            'user_email' => $user->email,
                            'cart_groupid' => $saved_order->groupid,
                        ];
                        break;
                    }
                }
            }
        }


        $data = compact('products','login_user','carts','cart_unique_items','user','url','categories','order_list','user');
        return view('home')->with($data);
    }

}
