@extends('layouts.main')

@push('nav_title')
    {{--    <a class="navbar-brand" href="{{route('users')}}">User</a>--}}
    <a class="navbar-brand" href="#">Enzy</a>
@endpush

@section('page_title')

@endsection


@section('side_bar')

    @include('layouts/side_bar')

@endsection


@section('profile')

    @include('layouts/profile')

@endsection



@section('main_div')

    <div class="personal_info">

        <div class="image">

            <div class="personal_info_container">
                <img src="{{ 'https://www.gravatar.com/avatar/' . md5(strtolower(trim($login_user->email))) . '?s=80&d=identicon' }}" class="img-fluid">
                <div class="name">
                    <h3>{{$user->name}}</h3>
                    <h5>{{$user->email}}</h5>
                </div>
            </div>

            <div class="creadit">
                <button id="remaining_credits" class="btn btn-primary">
                    <h4>Remaining Credits: {{ $user->budget }}$</h4>
                </button>
            </div>

        </div>
    </div>

    <div class="client_content_area">
        <form action="{{$url}}" method="post">
            @csrf

            <div class="mb-3">
                <label for="name" class="form-label">Name</label>
                <input id="name" type="text" class="form-control" name="name" value="{{ old('name',$user->name) }}">
                <span class="text-danger">
                        @error('name') {{$message}} @enderror
                    </span>
            </div>

            <div class="mb-3">
                <label for="email" class="form-label">Email</label>
                <input id="email" type="email" class="form-control" name="email" value="{{ old('email',$user->email) }}">
                <span class="text-danger">
                        @error('email') {{$message}} @enderror
                    </span>
            </div>

            <div class="mb-3">
                <label for="password" class="form-label">Password</label>
                {{--                    <input id="password" type="password" class="form-control" name="password" value="{{ old('password',$user->password) }}">--}}
                <input id="password" type="password" class="form-control" name="password" value="******">
                <span class="text-danger">
                        @error('password') {{$message}} @enderror
                    </span>
            </div>

            <div class="mb-3">
                <label for="phone" class="form-label">Phone No</label>
                <input id="phone" type="text" class="form-control" name="phone" value="{{ old('phone',$user->phone) }}">
                <span class="text-danger">
                        @error('phone') {{$message}} @enderror
                    </span>
            </div>

            <div class="mb-3">
                <label for="address" class="form-label">Address</label>
                <input id="address" type="text" class="form-control" name="address" value="{{ old('address',$user->address) }}">
                <span class="text-danger">
                        @error('address') {{$message}} @enderror
                    </span>
            </div>

            <button class="btn btn-primary" type="submit">Confirm</button>
        </form>
    </div>

@endsection
